use theymx::{Address, Channel, Multiverse, Universe, UniverseId, Value};

fn main() {
    let mut mv = Multiverse::new();
    let universe_id = UniverseId::new(1).unwrap();
    let universe = Universe::new();
    mv.create_universe(universe_id, universe);

    let addr = Address::new(universe_id, Channel::new(1).unwrap());
    mv.set_value(&addr, Value::from(128u8));

    let v = mv.value(&addr).unwrap();
    println!("value at {} is {}", addr, u8::from(v));
}
